v1.0.0
OpenAPI 3.1.0
List inbox preview history
Client Libraries
US region
Returns a paginated history of inbox preview jobs across your workspace, or for a single email when you pass node_id. Only lists runs recent enough for their screenshots to still be viewable—an older run won't appear here even though it still exists.
Filter to preview jobs submitted for a specific email.
Number of jobs to return per page.
A pagination cursor returned in the previous page's meta.pagination.next_cursor. Omit to return the first page.
curl https://api.customer.io/v1/design_studio/inbox_previews/jobs
{
"meta": {
"pagination": {
"limit": 50
}
},
"preview_jobs": [
{
"created_at": 1773856017,
"is_processed": true,
"name": "Welcome email previews",
"node_count": 1,
"node_id": "018fbb92-6d1e-7c33-9c2c-df6a2b5aa931",
"run_id": 2,
"total_previews_bounced": 0,
"total_previews_cached": 4,
"total_previews_ready": 12,
"total_previews_requested": 12,
"total_previews_succeeded": 8,
"updated_at": 1773856032
},
{
"created_at": 1773855001,
"is_processed": false,
"name": "Order confirmation previews",
"node_count": 1,
"node_id": "018fbb90-1a2f-7e21-8f3d-56b1c0a2e410",
"run_id": 1,
"total_previews_bounced": 0,
"total_previews_cached": 2,
"total_previews_ready": 2,
"total_previews_requested": 10,
"total_previews_succeeded": 0,
"updated_at": 1773855950
}
]
}Successful response